Subject: Re: 24rc8: unregister_netdevice: waiting for ... to become free.

From: Andrew Morton <[email-masked]>
Date: Thu, 1 May 2008 22:59:48 -0700

On Fri, 2 May 2008 03:26:28 +0200 "Roland" <[email-masked]> wrote:

> i`m also seeing this one, but with pcnet32 - "modprobe -r pcnet32" never 
> returns and
> 
> "unregister_netdevice: waiting for eth0 to become free. Usage count = 1"
> 
> being printed over and over again
> 
> lsmod |grep pcnet32 shows
> 
> pcnet32            35828    0
> mii                      9344    1    pcnet32
> 
> i see stale ssh connection on port 22 and sshd for that session remains 
> unkillable process.
> 

here a bug

> 
> 
> List:       linux-kernel
> Subject:    Re: 24rc8: unregister_netdevice: waiting for ... to become free.
> From:       Soeren Sonnenburg <kernel () nn7 ! de>
> Date:       2008-01-29 8:59:10
> Message-ID: 1201597150.4973.10.camel () localhost
> [Download message RAW]
> 
> On Tue, 2008-01-22 at 22:44 -0800, David Miller wrote:
> > From: Soeren Sonnenburg <[email-masked]>
> > Date: Wed, 23 Jan 2008 07:42:21 +0100
> >
> > > Dear all,
> > >
> > > since some 2.6.24rc version I suddenly experience such messages on
> > > console when trying to shutdown a vpn connection:
> > >
> > > unregister_netdevice: waiting for tun0 to become free. Usage count = 1
> > >
> > > or when removing an usb wlan dongle (although it was ifconfig wlan0
> > > down'd before)
> >
> > Current GIT already has a fix for this, attached below:
> 
> hmmhhh, I am still seeing this problem on 2.6.24 with at least with the
> madwifi driver...
> 
> Soeren

there a bug.

Let's cc [email-masked] - linux-net is dead, afaik.

Thanks for reporting all these bugs but please do take much mure care over
the cc's.  Be sure to cc every party who was cc'ed on the email to which
you're replying.  I restored Soeren.